﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Drawing;
using System.Globalization;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Configuration;
using System.Text;

namespace ThinkGeo.MapSuite.VehicleTracking
{
    public partial class VehicleTracking : Page
    {        
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                InitializeMap();
                
            }
        }       

        private void InitializeMap()
        {
            // Add Data to Map
            // Map - Background and Defaults                  
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.CurrentExtent = new RectangleShape(-77.655739802084, 43.573175671875, -70.141091364584, 37.970148328125);

            // Map - Scale
            ScaleLineAdornmentLayer scale_line_adornment_layer = new ScaleLineAdornmentLayer();
            LayerOverlay scale_line_adornment_layer_overlay = new LayerOverlay("Scale Line Adornment");
            scale_line_adornment_layer_overlay.IsBaseOverlay = false;
            scale_line_adornment_layer_overlay.TileType = TileType.SingleTile;
            scale_line_adornment_layer_overlay.Layers.Add("ScaleLineAdornmentLayer", scale_line_adornment_layer);
            Map1.CustomOverlays.Add(scale_line_adornment_layer_overlay);

            WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay("World");
            Map1.CustomOverlays.Add(worldMapKitOverlay); 
        }
       
        protected void Map1_Click(object sender, MapClickedEventArgs e)
        {
            // Even if it's blank, the scale bar doesn't work
            // In my code, I use this function to display a pop-up - the pop-up won't display if i don't have the map as a trigger to the update panel.
        }   
    }
}
